Commons App discussion: Current state and future plans
Closed, DeclinedPublic

Description

A discussion about the current state of the Android Commons App and the next development goals. The current state will be shown in a short demo at the beginning. Some future plans will be presented. Rest of the 1 hour session will be dedicated to an open discussion.

Some discussion points (please add any that I missed):

  • Nearby missing pictures functionality and the services that provide the data
    • Use query.wikidata.org for more real time missing image data
  • Gamification
  • Map for nearby results
  • Discouraing vandalism, educating users, promoting high quality and relevant uploads
  • ...

Task goals:

  • A clean writeup of the discussion and the etherpad will be published somewhere for other developers to read.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2017, 8:48 PM
whym added a subscriber: whym.EditedFeb 27 2017, 12:43 PM

Just noting that, instead of Phabricator tasks, specific bugs and enhancement ideas of the app have their own "issues" on GitHub https://github.com/commons-app/apps-android-commons/issues. If anyone is looking for ideas not mentioned above, I recommend checking these out.

Dbrant added a subscriber: Dbrant.Apr 4 2017, 8:10 PM
RHo added a subscriber: RHo.May 4 2017, 5:17 PM

Hello! Just letting you know that you can schedule this session now for the hackathon. Instructions and scheduling can be done here:
https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2017/Program#How_to_schedule_breakout_sessions

@Tobias1984: Did this happen? Any specific outcomes which should be tickets in GitHub or Phab or somewhere else? Can this task be closed as resolved?

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 31 2017, 4:05 PM
Aklapper closed this task as Declined.Oct 16 2017, 8:01 AM

No reply. Closing.